Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-19743

Camel OpenTelemetry Upgrade GRPC

    XMLWordPrintableJSON

Details

    • Dependency upgrade
    • Status: Resolved
    • Minor
    • Resolution: Fixed
    • 3.21.0
    • 3.22.0
    • camel-opentelemetry
    • None
    • Unknown

    Description

      Good morning,

      CVE-2023-2976 vulnerability was found inĀ  Guava which is used GRPC which is used in Camel Opentelemetry

      Guava fixed the issue and GRPC upgraded the vulnerability and eliminated the issue in version 1.57

      Can you please upgrade GRPC to 1.57 version in Camel Opentelemetry to get rid of the vulnerability
      Thanks

      Attachments

        Issue Links

          Activity

            People

              davsclaus Claus Ibsen
              avgona Vladyslav
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: